Datastore Namespace Manager Increase Directory Size

Datastore Namespace Manager Increase Directory Size
Increase size of the given top-level directory to the given size on vSAN backed object storage.

Increase size of the given top-level directory to the given size on vSAN backed object storage.

The top-level directory must be a full path in the form

/vmfs/volumes/[datastore-uuid]/[directory-uuid]

as returned by CreateDirectory.

Requires Datastore.Config privilege on the datastore.

See also CreateDirectory.

Since: vSphere API Release 8.0.1.0

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/DatastoreNamespaceManager/{moId}/IncreaseDirectorySize
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DatastoreNamespaceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
IncreaseDirectorySizeRequestType of type(s) application/json
Required

Show optional properties

{
    "stableName": "string",
    "size": 0
}
{
    "datacenter": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "stableName": "string",
    "size": 0
}
datacenter
Optional

the datacenter of the namespace path. Needs to be set when making the call to VC; ignored when the call is made to ESX.

Required privileges: System.View

string
stableName
Required

stable vmfs path of the top-level directory

integer As int64 As int64
size
Required

the desired final size in MB of the directory, not a diff from the current size; should be more than current size

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

FileFault: if a generic system error happened

FileNotFound: if the given directory can not be found

InvalidDatastore: if the given datastore is not supported by the DatastoreNamespaceManager

NotSupported: if resize is not supported on the directory

InvalidArgument: if passed size is not valid

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"stableName":"string","size":"integer"}' https://{api_host}/sdk/vim25/{release}/DatastoreNamespaceManager/{moId}/IncreaseDirectorySize